import request from './request.js';

const getList = async (data) => {
	const res = await request.get({ url: `/discount/info/list`, data });
	return res.data;
}
const getInfo = async (id) => {
	const res = await request.get({ url: `/discount/info/${id}` });
	return res.data;
}
const receivevoucher = async (discountId) => {
	const res = await request.post({ url: `/discount/receive/${discountId}` });
	return res.data;
}

const getMyList = async (data) => {
	const res = await request.get({  url: `/discount/record/list` });
	return res.data;
}

const getDict = async (dictType) => {
	const res = await request.get({ url: `/dict/data/type/${dictType}` });
	return res.data;
}
export default { getList, getInfo, receivevoucher, getMyList, getDict };